package cn.ey.biz.module.system.service.code;

import cn.ey.biz.common.pojo.PageParam;
import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.code.dto.CodeOtherDTO;
import cn.ey.biz.module.system.controller.admin.code.vo.CodeOtherVO;
import cn.ey.biz.module.system.controller.admin.code.vo.HistoryVO;

public interface CodeOtherService {

    /**
     * 提交新版其他规则
     *
     * @param codeOtherVO 其他规则
     * @return 其他规则版本信息编号
     */
    Long submitOther(CodeOtherVO codeOtherVO);

    /**
     * 获取历史记录信息
     *
     * @return 历史记录信息
     */
    PageResult<HistoryVO> getHistory(PageParam pageParam);

    /**
     * 获取其他规则
     *
     * @return 其他规则
     */
    CodeOtherDTO getCodeOther(Long ver);

    /**
     * 生效指定版本
     */
    void revertHistory(Long ver);
}
